Package org.opensaml.saml.common.profile.logic

# Class EntityIdPredicate

java.lang.Object
org.opensaml.saml.common.profile.logic.EntityIdPredicate

All Implemented Interfaces:
  `Predicate<EntityDescriptor>`

public class EntityIdPredicate extends Object implements Predicate<EntityDescriptor>
Predicate that matches an `EntityDescriptor` against a set of entityIDs.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Set<String>`
`entityIds`
Set of entityIDs to check for.

## Constructor Summary

Constructors
Constructor
Description
`EntityIdPredicate(Collection<String> ids)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getEntityIds()`
Get the entityID criteria.
`boolean`
`test(EntityDescriptor input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### entityIds

@Nonnull private final Set<String> entityIds
Set of entityIDs to check for.

## Constructor Details

### EntityIdPredicate

public EntityIdPredicate(@Nullable @ParameterName(name="ids") Collection<String> ids)
Constructor.

Parameters:
  `ids` - the entityIDs to check for

## Method Details

### getEntityIds

@Nonnull @Unmodifiable @NotLive public Set<String> getEntityIds()
Get the entityID criteria.

Returns:
  the entityID criteria

### test

public boolean test(@Nullable EntityDescriptor input)

Specified by:
  `test` in interface `Predicate<EntityDescriptor>`